Bug 32022 - Revise UMC module descriptions
Revise UMC module descriptions
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UNSTABLE
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Lukas Walter
Felix Botner
: interim-3
: 32161 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 12:28 CEST by Alexander Kläser
Modified: 2013-11-19 06:41 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-07-19 12:28:32 CEST
Currently the description for UMC modules are not really helpful, e.g.:

  Users - Managing users
  Groups - Managing groups
  ...

As the descriptions can be seen directly with UCS 3.2 (see Bug 31699), the descriptions need to be adapted.
Comment 1 Alexander Kläser univentionstaff 2013-08-05 17:24:42 CEST
*** Bug 32161 has been marked as a duplicate of this bug. ***
Comment 2 Alexander Kläser univentionstaff 2013-08-05 17:25:41 CEST
From Bug 32161:
> The Module name of univention-management-console-module-printers is (German
> only, I guess English is not really better): "Druckerverwaltung" while the
> description is "Drucker verwalten".
> 
> This does not help. In the description there should be a hint that one may
> administrate printers and quota *locally*, opposed to the UDM module
> "Printers" which has a similar description (which could be updated
> accordingly).
> 
> With the new GalleryPane which prominently shows the description of each
> module and the possibility to search for "Print" in the GalleryPane, this
> minor flaw becomes more important.
Comment 3 Lukas Walter univentionstaff 2013-10-18 18:32:03 CEST
Descriptions have been revised for all modules.
Comment 4 Dirk Wiesenthal univentionstaff 2013-10-18 19:55:54 CEST
System statistics in in German:

Name: "Überblick der Benutzungs- und Leistungssatistiken des lokalen Systems"
Description: "Show system usage statistics"
Comment 5 Lukas Walter univentionstaff 2013-10-21 12:57:39 CEST
(In reply to Dirk Wiesenthal from comment #4)
> System statistics in in German:
> 
> Name: "Überblick der Benutzungs- und Leistungssatistiken des lokalen Systems"
> Description: "Show system usage statistics"

Corrected.
Comment 6 Alexander Kläser univentionstaff 2013-10-25 13:38:42 CEST
I noticed that the module descriptions are partly (especially for all UDM flavors) used for the module headline. Could you please shorten the corresponding descriptions a bit so that they fit well into the headline, too.
Comment 7 Lukas Walter univentionstaff 2013-10-28 11:37:05 CET
(In reply to Alexander Kläser from comment #6)
> I noticed that the module descriptions are partly (especially for all UDM
> flavors) used for the module headline. Could you please shorten the
> corresponding descriptions a bit so that they fit well into the headline,
> too.

As far as I could see, only the UDM modules are concerned of this.
I've revised their descriptions again:

Englisch: Management of <module> in the domain
Deutsch: Verwaltung von <module> in der Domäne

svn 45628: univention-management-console-module-udm (4.0.64-1)
Comment 8 Dirk Wiesenthal univentionstaff 2013-10-28 13:03:14 CET
Please provide something for univention-ad-connector as well (needs all new de.po)
Comment 9 Florian Best univentionstaff 2013-10-28 14:54:58 CET
"Management domain wide policies"
Comment 10 Lukas Walter univentionstaff 2013-10-28 16:09:53 CET
(In reply to Dirk Wiesenthal from comment #8)
> Please provide something for univention-ad-connector as well (needs all new
> de.po)

Done.

Typo in policy UMC UDM module description has been fixed as well.




svn 45638: univention-management-console-module-udm (4.0.65-1), univention-ad-connector (8.0.15-1)
Comment 11 Felix Botner univentionstaff 2013-10-30 13:03:14 CET
[E-Mail]
* Konfiguration von E-Mail Einstellungen der Domäne 
  -> Verwaltung von Mail-Domänen bzw. Ordnern und Mailinglisten

[LDAP-Verzeichnis]
* Durchsuchen und Verwalten des LDAP-Verzeichisbaums der Domäne
  -> Durchsuchen und Verwalten des LDAP-Verzeichisbaums

[Drucker]
* Verwaltung von Druckerfreigaben und Gruppen von Druckerfreigaben in der Domäne
  -> Verwaltung von Drucker und Druckergruppen in der Domäne

[Passwort ändern]
* Passwortänderung für den momentanen Benutzer
  -> Änderung des Passwort des aktuellen Benutzers (??)

for all "System" modules, add "for the local system" at the end of the description

[Prozessübersicht]
* Übersicht der Prozesse des lokalen Systems, Prozesse beenden
  -> Übersicht und Verwaltung der Prozesse des lokalen Systems

[Statistiken]
* Überblick der Nutzungsstatistiken des lokalen Systems
  -> Nutzungsstatistiken und Auslastung des lokalen Systems

[Domänenbeitritt]
* Überblick des Domänenbeitritt Status des lokalen Systems
  -> Status des Domänenbeitritt des lokalen Systems

[Druckerverwaltung] -> Drucker-Administration (oder Druckeradministration?)
* Drucker verwalten
  -> Drucker und Druckaufträge administrieren
  -> Administration of printers and print jobs

[Systemdienste]
* Übersicht und Konfigration von Diensten auf dem lokalen System
  -> ... Konfiguration ...

[Systeminformation]
* Systeminformationen sammeln
  -> ???

[Dateisystem Quota] -> Dateisystem-Quota
* Quota Konfiguration des lokalen Systems
  -> Konfiguration von Dateisystem-Quotas für das lokalen Systems
  -> Configuration of disk quotas for the local system

[Software-Aktualisierung]
* Überblick und Installation der für das lokale UCS-System verfügbaren 
  Aktualisierungen
  -> Übersicht und Installation der für das lokale Systen verfügbaren 
     Aktualisierungen
Comment 12 Felix Botner univentionstaff 2013-10-30 13:09:58 CET
[Users]
* Management of domain users
  -> Management of uses in the domain

Same for Nagios, DHCP, Networks, DNS
Comment 13 Felix Botner univentionstaff 2013-10-30 13:39:16 CET
[E-Mail]
Verwaltung von Mail-Domänen und Mailinglisten

[Passwort ändern]
Änderung des Passwort des angemeldeten Benutzers

[Prozessübersicht]
Übersicht der Prozesse des lokalen Systems

[Domänenbeitritt]
Domänenbeitritt des lokalen Systems

[Druckerverwaltung] -> Druckaufträge
Verwaltung von Druckaufträgen der lokalen Drucker


[Systeminformation]
Erstellen von Systeminformationen für den Univention Kompatibilitätsliste (???)
Comment 14 Lukas Walter univentionstaff 2013-10-30 17:16:47 CET
OK, I've adopted the latest suggestions.

svn 45718
Comment 15 Felix Botner univentionstaff 2013-10-31 11:58:20 CET
as discussed
Comment 16 Lukas Walter univentionstaff 2013-10-31 12:25:05 CET
svn 45755, as discussed.
Comment 17 Felix Botner univentionstaff 2013-10-31 12:48:17 CET
* Software-Aktualisierung
Überblick und Installation der für das lokale UCS-System verfügbaren Aktualisierungen
=> Überblick und Installation der für das lokale System verfügbaren Aktualisierungen

* Univention Configuration Registry
Verwaltung von UCR-Variablen 
=> Verwaltung von UCR-Variablen des lokalen Systems

* Statistiken
Überblick der Nutzungsstatistiken des lokalen Systems
=> Nutzungsstatistiken und Auslastung des lokalen Systems

* [Dateisystem Quota] -> Dateisystem-Quota
Quota Konfiguration des lokalen Systems
=> Konfiguration von Dateisystem-Quotas für das lokalen Systems
=> Configuration of disk quotas for the local system

* Drucker
Verwaltung von Druckerfreigaben und Gruppen von Druckerfreigaben in der Domäne
=> Verwaltung von Druckern und Druckergruppen in der Domäne
Comment 18 Lukas Walter univentionstaff 2013-10-31 15:20:53 CET
Adopted in SVN 45760
Comment 19 Felix Botner univentionstaff 2013-10-31 17:02:03 CET
OK

OK - Changelog
Comment 20 Stefan Gohmann univentionstaff 2013-11-19 06:41:24 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".